Create calendar
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Create a new calendar for a user.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | Calendars.ReadWrite |
| Delegated (personal Microsoft account) | Calendars.ReadWrite |
| Application | Calendars.ReadWrite |
HTTP request
POST /me/calendars
POST /users/{id | userPrincipalName}/calendars
Request headers
| Header | Value |
|---|---|
| Authorization | Bearer {token}. Required. |
| Content-Type | application/json |
Request body
In the request body, supply a JSON representation of a calendar object.
Response
If successful, this method returns 201 Created response code and a calendar object in the response body.
Example
Request
The following is an example of a request.
POST https://graph.microsoft.com/beta/me/calendars
Content-type: application/json
{
"name": "Volunteer"
}
Response
The following is an example of the response.
Note: The response object shown here might be shortened for readability.
HTTP/1.1 201 Created
Content-type: application/json
{
"@odata.context":"https://graph.microsoft.com/beta/$metadata#me/calendars/$entity",
"@odata.id":"https://graph.microsoft.com/beta/users('266efe5a-0fd7-4edd-877b-b2d1e561f193@ae01a323-3934-4475-a32d-af1274312bb0')/calendars('AAMkADJmMVAAA=')",
"id":"AAMkADJmMVAAA=",
"name":"Volunteer",
"color":"auto",
"isDefaultCalendar":false,
"changeKey":"DxYSthXJXEWwAQSYQnXvIgAAIxGttg==",
"calendarGroupId":null,
"canShare":true,
"canViewPrivateItems":true,
"hexColor": "",
"isShared":false,
"isSharedWithMe":false,
"canEdit":true,
"allowedOnlineMeetingProviders": [
"teamsForBusiness"
],
"defaultOnlineMeetingProvider": "teamsForBusiness",
"isTallyingResponses": true,
"isRemovable": false,
"owner":{
"name":"Samantha Booth",
"address":"samanthab@adatum.onmicrosoft.com"
}
}
Feedback
Submit and view feedback for